{ pkgs, ... }:
# _:
 
{
  system = {
    stateVersion = 6;
    primaryUser = "ethanreece";
  };

  users.users.ethanreece = {
    name = "ethanreece";
    home = "/Users/ethanreece";
    shell = pkgs.nushell;
  };
 
  nix = {
    linux-builder.enable = true;
    extraOptions = ''
    auto-optimise-store = true
    experimental-features = nix-command flakes
    extra-platforms = aarch64-darwin
  '';
  };
  
  programs = {
    fish.enable = true;
    zsh.enable = true;
  };

  home-manager.backupFileExtension = "backup";

  homebrew = {
    enable = true;
    brews = [
      "ollama"
    ];
    casks = [
      "tidal"
      "orion"
      "webex"
      "ollama-app"
    ];
  };
}
